# -*- coding: utf-8 -*-

from moksha.api.streams import PollingDataStream
from jqplotdemo.controllers.plots import get_plot_data, make_data

class JQPlotDemoStream(PollingDataStream):
    frequency = 1.0

    def poll(self):
        self.send_message('jqplot.demo.plot', get_plot_data())

        # Mangle for pie-charts
        data = make_data()
        slices = [[['series %s' % str(i), data[i][-1][1] + 1.5]
                   for i in range(len(data))]]

        self.send_message('jqplot.demo.pie', dict(data=slices, options={}))
